{% extends "layout/base.html" %}
{% load static %}

{% block title %} Friends {% endblock %}

{% block style %}
<link rel="stylesheet" type="text/css" href="{% static 'css/add_friend.css' %}" />
{% endblock %}


{% block content %}
<section name="form" style="border:1px solid black;background-color: rgba(255,255,255,0.6);">
    <h2 class="my-list-title">Add Friend</h2>
        <form id="form" class="form-horizontal" method="POST" action="{% url 'add_friend:add_friend' %}">
            {% csrf_token %}
            {{ friend_form }}
            <br>
            <button type="submit" class="btn btn-default">Add Friend</button>
        </form>
    </section>
    <br>
<section name='table'>
    <h2 class="my-list-title">Friend List</h2>
	<div class="flex">
 	<table class="table">
		<!-- <thead> -->
<!-- 			<th id="name" align="left">Name</th>
			<th id="url" align="center">Url</th>
			<th id="date" align="right">Date Added</th> -->
		<!-- </thead>
		<tbody> -->
			{% for i in friend %}
			{% if i.name == 'Anonymous' or i.url == 'Anonymous' %}
			<tr class="warning"> {% else %} <tr class="success">
				{% endif %}
				<div class="flex-item">
				<div class="to-do-list-title" align="left" margin="auto">
					{{i.name}}
				</div>
				<div class="to-do-list-date-added" align="right" margin="auto">
					Added on {{ i.created_date.date }} {{ i.created_date.time }}
				</div>
				<div class="to-do-list-description" align="center">
					<a href="{{i.url}}">{{i.url}}</a>
				</div>
			</div>
			</tr>             
			{% endfor %}
 		<!-- </tbody> -->
	</table>
	</tr>
	</div>
</section>

{% endblock %}
